function Category()
{
	this.title = "";
	this.tag = "";
	this.menuEntry = false;
	/*this.videos = false;*/
	
	
	//Lädt die Videos in den Screen
	this.loadVideos = function()
	{
		document.getElementById('videolist').innerHTML = "";
		
		this.GetVideos(function(videos, category){
			category.videos = videos;

			//Videos hinzufügen
			for(var i = 0;i<=videos.length;i++)
			{
				document.getElementById('videolist').innerHTML += videos[i].GetTeaserCode();
			}
		});
	};
	
	//Liefert den Menüeintrag zurück
	this.GetMenuEntry = function()
	{
		if(!this.menuEntry)
		{
			//Nachladen
			this.menuEntry= new MenuEntry();
			this.menuEntry.tag = this;
			this.menuEntry.OnKeyRight = function(){
				if(this.tag.videos.length > 0)
				{
					this.tag.videos[0].Focus();
				}
			};
			this.menuEntry.OnActivate = function(){ this.tag.loadVideos(); };	
		}
		
		//Titel kann sich geändert haben, also immer neu setzen
		this.menuEntry.title = this.title;
		
		//Weg damit
		return this.menuEntry;
	};
	
	this.GetVideos = function(callback)
	{
		var res = new Array();
		
		var category = this;
		
		var xmlhttp = null;
		// Mozilla
		if (window.XMLHttpRequest)
		{
			xmlhttp = new XMLHttpRequest();
		}
		// IE
		else if (window.ActiveXObject)
		{
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
	
		//Kategorie abfragen
		xmlhttp.open("GET", 'http://smart-tv.stevieswebsite.de/' + this.tag + '.php', true);
		xmlhttp.onreadystatechange = function()
		{
			if(xmlhttp.readyState == 4 && xmlhttp.status == 200)
			{
				//Abfrage erfolgreich. Parsen wir das JSON!
				obj = JSON.parse(xmlhttp.responseText);
				for(var i = 0;i < obj.length; i++)
				{
					//Videos erstellen
					var video = new Video();
					video.title = obj[i].title;
					video.author = obj[i].author;
					video.previewImage = obj[i].thumb;
					
					res[res.length] = video;
				}

				for(var i = 0;i < res.length; i++)
				{
					var video = res[i];
					if(i > 0)
					{
						res[i-1].nextVideo = video;
						res[i-1].onKeyRight = function(){
							this.nextVideo.Focus();
							this.UnFocus();
						};
					}
					else
					{
						res[i].onKeyLeft = function(){
							Menu.Focus();
							this.UnFocus();
						};
					}
					if(i < res.length -1)
					{
						res[i+1].prevVideo = video;
						res[i+1].onKeyLeft = function(){
							this.prevVideo.Focus();
							this.UnFocus();
						};
					}
				}
				
				//Callback aufrufen
				callback(res,category);
			}
		};
		 
		//Abfrage starten
		xmlhttp.send(null);
	};

}