var Menu = {};

/**
 * Funktion wird nach dem laden der Seite aufgerufen
 */
Menu.Load = function(){
	this.entries = new Array();
	
	/**
	 * Funktion zum Hinzfügen eines neuen Menüpunkts
	 */
	this.AddEntry = function(entry){
		//Damit wir ihn später wiederfinden
		this.entries[this.entries.length] = entry;
		
		//Menüpunkt anzeigen
		this.GetControl().appendChild(entry.GetControl());
	};
	
	/**
	 * Liefert das HTML-Element (ul) zurück
	 */
	this.GetControl = function(){
		return document.getElementById("menu");
	};
	
	/**
	 * Liefert die aktuell ausgewählte Position zurück
	 * Auf 0 basierend.
	 */
	this.GetPosition = function(){
		for(var i = 0; i < this.entries.length; i++){
			if(this.entries[i].active){
				return i;
			}
		}
	};

	/**
	 * Wählt einen Menüpunkt weiter unten aus
	 */
	this.MoveDown = function(){
		//Position auslesen
		var pos = this.GetPosition();
		
		//Aktuellen Menüpunkt deaktivieren
		this.entries[pos].Deactivate();
		
		if(pos < this.entries.length-1){
			//Nächsten Punkt auswählen
			this.entries[pos+1].Activate();
		}
		else{
			//Liste bereits durchlaufen,
			//also zum ersten Punkt zurückkehren
			this.entries[0].Activate();			
		}
	};

	/**
	 * Wählt einen Menüpunkt weiter oben aus
	 */
	this.MoveUp = function(){
		//Position auslesen
		var pos = this.GetPosition();
		
		//Aktuellen Menüpunkt deaktivieren
		this.entries[pos].Deactivate();
		
		if(pos > 0){
			//Vorherigen Menüpunkt aktivieren
			this.entries[pos-1].Activate();
		}
		else{
			//Letzten Punkt in der Liste aktivieren
			this.entries[this.entries.length - 1].Activate();			
		}
	};
	
	/**
	 * Fügt einen Dummy-Link hinzu,
	 * um die Fernbedienung-Knöpfe abzufangen
	 */
	this.AddFocus = function(){
		//Link erstellen
		var a = document.createElement("a");
		a.href = "javascript:void(0);"; //Keine Aktion beim Klick
		a.id = "menu_focus";
		
		//Wird aufgerufen, wenn eine Taste gedrückt wurde
		a.onkeyup = function(){
			var keyCode = event.keyCode;

			switch(keyCode)
			{
				case tvKey.KEY_DOWN:
					//Pfeil nach unten,
					//also Menüpunkt weiter unten auswählen
					Menu.MoveDown();
					break;
				case tvKey.KEY_UP:
					//Pfeil nach oben, 
					//also Menüpunkt weiter oben auswählen
					Menu.MoveUp();
					break;
				case tvKey.KEY_RIGHT:
					//Position raussuchen und Callback ausführen
					var pos = Menu.GetPosition();
					Menu.entries[pos].OnKeyRight();
					break;
			}
		};
		
		//Dummy-Link hinzufügen
		document.body.appendChild(a);
		//und fokussieren...
		a.focus();
	};
	
	//Den Fokus zurück auf das Menü setzen
	this.Focus = function()
	{
		document.getElementById("menu_focus").focus();
	};
	
	var seo = new Category();
	seo.title = "SEO";
	seo.tag = "seo";
	this.AddEntry(seo.GetMenuEntry());
	
	//Social Media
	var socialmedia = new Category();
	socialmedia.title = "Social Media";
	socialmedia.tag = "social-media";
	this.AddEntry(socialmedia.GetMenuEntry());
	
	//Entwickler
	var developer = new Category();
	developer.title = "Entwickler";
	developer.tag = "developer";
	this.AddEntry(developer.GetMenuEntry());
	
	//CMS
	var cms = new Category();
	cms.title = "CMS";
	cms.tag = "cms"; 
	this.AddEntry(cms.GetMenuEntry());

	//Als Default werden die Neuvorstellungen gewählt
	seo.GetMenuEntry().Activate();
	
	//Versteckten Fokus hinzufügen
	this.AddFocus();
};