function MenuEntry(){
	this.control    = false;     //Control
	this.title      = undefined; //Bezeichnung
	this.active     = false;     //Menüpunkt aktiv?
	this.OnActivate = false;     //Callback
	this.OnKeyRight = false,     //Callback wenn die Pfeiltaste rechts gedrückt wurde
	
	/**
	 * Liefert das <li>-Element zurück
	 */
	this.GetControl = function(){
		if(!this.control){
			//Menüpunkt noch nicht erzeugt, also nachholen
			
			this.control = document.createElement("li");
			this.control.innerText = this.title;
			
			if(this.active){
				//Menüpunkt bereits aktiv, also active-Klasse hinzufügen
				this.control.className = "active";
			}
		}
		
		//Control zurückgeben
		return this.control;
	};
	
	/**
	 * Wird aufgerufen, um den Menüpunkt auszuwählen
	 */
	this.Activate = function(){
		this.active = true;
		
		//Klasse active hinzufügen, wenn das Control
		//schon erstellt wurde
		if(this.control){
			this.control.className = "active";
		}
		
		//Callback aufrufen, wenn vorhanden.
		if(this.OnActivate){
			this.OnActivate();
		}
	};
	
	/**
	 * Wird aufgerufen, um den Menüpunkt abzuwählen
	 */
	this.Deactivate = function(){
		this.active = false;
		
		//Klasse wieder zurücksetzen
		if(this.control){
			this.control.className = "";
		}
	};
}