function Video()
{
	this.title = "";
	this.author = "";
	this.previewImage = "";
	this.playUrl = "";
	this.onKeyRight = null;
	this.onKeyLeft = null;
	this.onKeyDown = null;
	this.onKeyUp = null;
	
	/**
	 * Gibt den Code zurück,
	 * der den Video-Teaser anzeigt
	 */
	this.GetTeaserCode = function()
	{
		//ID wird an dem Titel festgemacht
		this.id = "video_" + escape(this.title.substring(0,15));

		return '<li id="' + this.id + '" class="video_teaser">'
				+ '<a href="' + this.playUrl + '" class="image" '
					+ 'style="background-image:url(\'' + this.previewImage + '\')"></a>'
				+ '<h2>' + this.title + '</h2>'
				+ '<div class="author">' + this.author + '</div>'
			 + '</li>';
	};
	
	/**
	 * Liefert das Teaser-Element zurück.
	 */
	this.GetTeaserElement = function ()
	{
		return document.getElementById(this.id);
	};
	
	/**
	 * Wird aufgerufen, wenn der Fokus auf das Video springt:
	 */
	this.Focus = function()
	{
		var element = this.GetTeaserElement();
		element.className = "video_teaser current";
		element.children[0].focus();
		element.tag = this;
		element.onkeyup = function(){
			var keyCode = event.keyCode;

			switch(keyCode)
			{
				case tvKey.KEY_DOWN:
					if(this.tag.onKeyDown)
					{
						this.tag.onKeyDown();
					}
					break;
				case tvKey.KEY_UP:
					if(this.tag.onKeyUp)
					{
						this.tag.onKeyUp();
					}
					break;
				case tvKey.KEY_RIGHT:
					if(this.tag.onKeyRight)
					{
						this.tag.onKeyRight();
					}
					break;
				case tvKey.KEY_LEFT:
					if(this.tag.onKeyLeft)
					{
						this.tag.onKeyLeft();
					}
					break;
			}
		};
	};
	
	this.UnFocus = function()
	{
		var element = this.GetTeaserElement();
		element.className = "video_teaser";
	};
	
};